<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

$APIS = [
    "ping" => [
        "load" => "ping.php"
    ],
    "inventory" => [
        "load" => "inventory.php"
    ],
    "createplayer" => [
        "load" => "createplayer.php",
        "vars" => [
            "team" => "/[1-6]/"
        ]
    ],
    "playerexists" => [
        "load" => "playerexists.php",
        "vars" => [
            "id (optional)" => "/[0-9]+/"
        ]
    ],
    "changenick" => [
        "load" => "changenick.php",
        "vars" => [
            "nick" => "string"
        ]
    ],
    "getprofile" => [
        "load" => "getprofile.php",
        "vars" => [
            "id (optional)" => "/[0-9]+/"
        ]
    ],
    "code" => [
        "load" => "submitcode.php",
        "vars" => [
            "code" => "string",
            "latitude (optional)" => "/^-?[0-9]{1,2}\.[0-9]*$/",
            "longitude (optional)" => "/^-?[0-9]{1,3}\.[0-9]*$/",
            "accuracy (optional)" => "numeric"
        ]
    ],
    "nearbyplayers" => [
        "load" => "nearbyplayers.php",
        "vars" => [
            "latitude" => "/^-?[0-9]{1,2}\.[0-9]*$/",
            "longitude" => "/^-?[0-9]{1,3}\.[0-9]*$/",
            "radius (optional)" => "numeric"
        ]
    ],
    "nearbyplaces" => [
        "load" => "nearbyplaces.php",
        "vars" => [
            "latitude" => "/^-?[0-9]{1,2}\.[0-9]*$/",
            "longitude" => "/^-?[0-9]{1,3}\.[0-9]*$/",
            "radius (optional)" => "numeric"
        ]
    ],
    "getplace" => [
        "load" => "getplace.php",
        "vars" => [
            "id" => "/[0-9]+/"
        ]
    ],
    "placeact" => [
        "load" => "placeact.php",
        "vars" => [
            "id" => "/[0-9]+/"
        ]
    ],
    "getchat" => [
        "load" => "getchat.php",
        "vars" => [
            "latitude (optional)" => "/^-?[0-9]{1,2}\.[0-9]*$/",
            "longitude (optional)" => "/^-?[0-9]{1,3}\.[0-9]*$/",
            "radius (optional)" => "numeric"
        ]
    ],
    "sendchat" => [
        "load" => "sendchat.php",
        "vars" => [
            "latitude" => "/^-?[0-9]{1,2}\.[0-9]*$/",
            "longitude" => "/^-?[0-9]{1,3}\.[0-9]*$/",
            "message" => "string"
        ]
    ],
    "useitem" => [
        "load" => "useitem.php",
        "vars" => [
            "uuid" => "numeric",
            "placeid (optional)" => "numeric"
        ]
    ]
];